Bug 153756 - terminal doesnt always start focused
Summary: terminal doesnt always start focused
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-09 23:53 UTC by Morten O. Hansen
Modified: 2008-01-26 19:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Morten O. Hansen 2007-12-09 23:53:59 UTC
Version:           0.9.5 (from svn) (using KDE Devel)
Installed from:    Compiled sources
Compiler:          gcc version 4.2.3 20071123 (prerelease) (Debian 4.2.2-4) 
OS:                Linux

A lot of the times when using F4 to open the embedded terminal, it doesnt get the focus. Having to click it to get it focused is kinda annoying.
Comment 1 Morten O. Hansen 2007-12-11 15:31:47 UTC
Just a few more comments. The terminal is focused the first time is it created (the actual kpart). But when it is hidden, and then shown again. The terminal does not have focus anymore (probably a simple fix).
Comment 2 Syam 2007-12-15 06:51:21 UTC
Yes. I'm seeing the same behaviour. Didn't notice if it got the focus the very first time.
Config: OpenSuSE based live CD 0.8 - KDE 4.0 RC2, running using QEMU
Comment 3 Peter Penz 2007-12-16 12:29:04 UTC
SVN commit 749039 by ppenz:

fixes for the terminal panel:
* assure that the correct directory is entered when reopening the terminal
* let the terminal be focused also when reopening it

BUG: 153785
BUG: 153756

 M  +7 -3      terminalsidebarpage.cpp  
 M  +2 -0      terminalsidebarpage.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=749039
Comment 4 David Benjamin 2008-01-26 19:08:02 UTC
I don't think this bug is fixed. In fact, now it seems that, even when opening it for the first time, it's not focused.

I think it's because the Konsole KPart returns a ViewManager, so the bit around the terminal is actually focused. Pressing tab focuses the actual terminal.